zenilib: zenilib/jni/external/freetype2/include/freetype/ftlist.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Typedefs | Functions
ftlist.h File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`

Go to the source code of this file.

## Typedefs

typedef void(* | FT_List_Destructor )(FT_Memory memory, void *data, void *user)
typedef FT_Error(* | FT_List_Iterator )(FT_ListNode node, void *user)

## Functions

| FT_List_Add (FT_List list, FT_ListNode node)
| FT_List_Finalize (FT_List list, FT_List_Destructor destroy, FT_Memory memory, void *user)
FT_BEGIN_HEADER | FT_List_Find (FT_List list, void *data)
| FT_List_Insert (FT_List list, FT_ListNode node)
| FT_List_Iterate (FT_List list, FT_List_Iterator iterator, void *user)
| FT_List_Remove (FT_List list, FT_ListNode node)
| FT_List_Up (FT_List list, FT_ListNode node)

## Typedef Documentation

typedef void(* FT_List_Destructor)(FT_Memory memory, void *data, void *user)

Definition at line 234 of file ftlist.h.

typedef FT_Error(* FT_List_Iterator)(FT_ListNode node, void *user)

Definition at line 186 of file ftlist.h.

## Function Documentation

FT_List_Add | ( | FT_List | list,
|  | FT_ListNode | node
| ) |  |

Definition at line 263 of file ftutil.c.

References FT_ListNodeRec_::next, and FT_ListNodeRec_::prev.

Referenced by ft_add_renderer(), FT_New_Size(), and FT_Open_Face().

FT_List_Finalize | ( | FT_List | list,
|  | FT_List_Destructor | destroy,
|  | FT_Memory | memory,
|  | void * | user
| ) |  |

Definition at line 386 of file ftutil.c.

References FT_ListNodeRec_::data, destroy(), FT_FREE, and FT_ListNodeRec_::next.

Referenced by Destroy_Driver(), and destroy_face().

FT_BEGIN_HEADER FT_List_Find | ( | FT_List | list,
|  | void * | data
| ) |  |

Definition at line 241 of file ftutil.c.

References FT_ListNodeRec_::data, and FT_ListNodeRec_::next.

Referenced by FT_Done_Face(), FT_Done_Size(), ft_remove_renderer(), FT_Set_Renderer(), and T42_Size_Done().

FT_List_Insert | ( | FT_List | list,
|  | FT_ListNode | node
| ) |  |

Definition at line 284 of file ftutil.c.

References FT_ListNodeRec_::next, and FT_ListNodeRec_::prev.

FT_List_Iterate | ( | FT_List | list,
|  | FT_List_Iterator | iterator,
|  | void * | user
| ) |  |

Definition at line 359 of file ftutil.c.

References error, FT_Err_Ok, and FT_ListNodeRec_::next.

FT_List_Remove | ( | FT_List | list,
|  | FT_ListNode | node
| ) |  |

Definition at line 305 of file ftutil.c.

References FT_ListNodeRec_::next, and FT_ListNodeRec_::prev.

Referenced by FT_Done_Face(), FT_Done_Size(), and ft_remove_renderer().

FT_List_Up | ( | FT_List | list,
|  | FT_ListNode | node
| ) |  |

Definition at line 329 of file ftutil.c.

References FT_ListNodeRec_::next, and FT_ListNodeRec_::prev.

Referenced by FT_Set_Renderer().